Skip to main content
POST
/
wallets
/
transactions
/
confirm
Confirm a wallet transaction
curl --request POST \
  --url https://api.nuwebgroup.com/v1/wallets/transactions/confirm \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "type": "walletTransactions",
    "id": 1,
    "attributes": {
      "customerId": 1,
      "walletId": 123,
      "typeId": 16,
      "typeSlug": "transfer_out",
      "typeName": "Transfer Out",
      "amount": -500,
      "oldBalance": 1000,
      "newBalance": 500,
      "createdAt": "2021-11-26T11:59:00.000000Z",
      "updatedAt": "2021-11-26T11:59:00.000000Z",
      "confirmedAt": "2021-11-26T12:00:00.000000Z"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Query Parameters

walletTransactionId
integer
required

The transaction ID of the pending transaction which requires confirmation.

Response

Successfully confirmed the pending transaction.

data
object